Subject: bug#55443: closed (Re: [PATCH] gnu: emacs: Fix source snippet.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 22 Jun 2022 19:48:02 +0000

Your bug report

#55443: emacs-28.1: tramp sudo broken

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55443: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55443
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: emacs: Fix source snippet.
From: Liliana Marie Prikler <[email-masked]>
To: John Kehayias <[email-masked]>, [email-masked]
Date: Wed, 22 Jun 2022 21:47:32 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Am Mittwoch, dem 22.06.2022 um 01:53 +0000 schrieb John Kehayias:
> I've tested this patch builds, sets tramp-remote-path, and alleviates
> the sudo problem I also experienced (for local tramp). 
I saw, I reworded slightly, I pushed.

> Maybe someone can relay this to the guix-devel thread mentioned in
> case there is more to be done as per the discussion there.
I don't think a discussion that is several months old has weight in
deciding what to do with relatively newer bugs.  In any case, I think
our tramp fixes should at some point also end up in the actual tramp
package, not just emacs itself :)

That being said, thanks for the fix and have a nice evening

Subject: emacs-28.1: tramp sudo broken
From: Remco van 't Veer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Mon, 16 May 2022 08:27:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

After upgrading from emacs-27.2 to emacs-28.1 on a Guix system, opening
files/directories via sudo using tramp no longer works.

Here's what's in the *Messages* buffer:

> Tramp: Opening connection nil for root@remq240 using sudo...done
> File error: Couldn't find a proper `ls' command [6 times]
> tramp-error: Couldn't find a proper `ls' command

I am at:

> Generation 48	May 15 2022 16:38:54	(current)
>   guix 9860c90
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: 9860c90e8e5362e0e843efbd45f4563b9746a196

Logging out after upgrade does not help.

Kind regards,
Remco